Show: Inherited Protected Private Deprecated

# ButtonStyle Class

Defined in: `src/ui/react/src/components/base/button-style.js:4`

ButtonStyle is a mixin that provides a style prop and some methods to apply the resulting style and checking if it is present in a given path or selection.

## Index

### Methods

- componentWillMount
- componentWillUnmount
- getStyle
- isActive

### Properties

- style

## Methods

### `componentWillMount`

()

Defined in `src/ui/react/src/components/base/button-style.js:28`

Lifecycle. Invoked once, both on the client and server, immediately before the initial rendering occurs.

### `componentWillUnmount`

()

Defined in `src/ui/react/src/components/base/button-style.js:55`

Lifecycle. Invoked immediately before a component is unmounted from the DOM.

### `getStyle`

() CKEDITOR.style

Defined in `src/ui/react/src/components/base/button-style.js:64`

Returns instance of CKEDITOR.style which represents the current button style.

#### Returns:

CKEDITOR.style:

The current style representation.

### `isActive`

() Boolean

Defined in `src/ui/react/src/components/base/button-style.js:74`

Checks if style is active in the current selection.

#### Returns:

Boolean:

True if style is active, false otherwise.

## Properties

### `style`

Object | String

Defined in `src/ui/react/src/components/base/button-style.js:13`

The style the button should handle. Allowed values are:

- Object as described by http://docs.ckeditor.com/#!/api/CKEDITOR.style.
- String pointing to an object inside the editor instance configuration. For example, `style = 'coreStyles_bold'` will try to retrieve the style object from `editor.config.coreStyles_bold`. Nested properties such as `style = 'myplugin.myConfig.myStyle'` are also supported and will try to retrieve the style object from the editor configuration as well.